Package: org.gradle.language.nativeplatform

## [Java] Interface HeaderExportingSourceSet

- org.gradle.language.base.LanguageSourceSet

- All Superinterfaces:
    Buildable, LanguageSourceSet

  A source set that exposes headers

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `exportedHeaders(Action<? super SourceDirectorySet> config)` Configure the exported header directories.
    `SourceDirectorySet` | `getExportedHeaders()` The headers as a directory set.
    `SourceDirectorySet` | `getImplicitHeaders()` The headers that are private to this source set and implicitly available.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface LanguageSourceSet` | `generatedBy, getDisplayName, getSource, source`
    `interface Named` | `getName`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`

- - ### Method Detail

    - #### public void exportedHeaders(Action<? super SourceDirectorySet> config)

      Configure the exported header directories.

    - #### public SourceDirectorySet getExportedHeaders()

      The headers as a directory set.

    - #### public SourceDirectorySet getImplicitHeaders()

      The headers that are private to this source set and implicitly available. These are not explicitly made available for compilation.